View Issue Details

IDProjectCategoryView StatusLast Update
0005753DarkRadiantGUIpublic30.10.2021 12:03
Reporterduzenko Assigned Toduzenko  
PrioritynormalSeveritynormalReproducibilityhave not tried
Status resolvedResolutionfixed 
PlatformPCOSWindowsOS Version10
Product Version2.13.0 
Target Version2.14.0Fixed in Version2.14.0 
Summary0005753: XY view zoom around cursor
DescriptionI think it should be better UX to zoom in/out around mouse cursor rather than view center
TagsNo tags attached.

Relationships

related to 0005792 assignedgreebo Zoom in orthoview Broken 

Activities

There are no notes attached to this issue.

Related Changesets

DarkRadiant: master 7bbd03b2

2021-09-17 06:05:31

greebo


Committer: GitHub Details Diff
0005753: Merge pull request 0000021 from duzenko/5753_xy_zoom_cursor

XY View: use the mouse cursor position as base for zoom in/out instea…
Affected Issues
0000021, 0005753
mod - radiant/xyview/XYWnd.cpp Diff File
mod - radiant/xyview/XYWnd.h Diff File

DarkRadiant: master beb85d4c

2021-09-17 06:11:47

greebo

Details Diff
0005753: Privatise XYWnd::getZoomedScale(), formatting Affected Issues
0005753
mod - radiant/xyview/XYWnd.cpp Diff File
mod - radiant/xyview/XYWnd.h Diff File

DarkRadiant: master 53345bfa

2021-09-30 19:04:20

greebo

Details Diff
0005753: Fix compilation after merging the textool branch Affected Issues
0005753
mod - radiant/xyview/XYWnd.cpp Diff File

DarkRadiant: master 834dab9c

2021-10-01 02:58:57

greebo

Details Diff
0005753: Sign of the X argument in scrollByPixels is inversed now, adjust that Affected Issues
0005753
mod - radiant/xyview/XYWnd.cpp Diff File

Issue History

Date Modified Username Field Change
10.09.2021 08:01 duzenko New Issue
10.09.2021 08:21 greebo Status new => confirmed
10.09.2021 19:29 duzenko Assigned To => duzenko
10.09.2021 19:29 duzenko Status confirmed => assigned
17.09.2021 06:05 greebo Changeset attached => DarkRadiant master 7bbd03b2
17.09.2021 06:11 greebo Changeset attached => DarkRadiant master beb85d4c
17.09.2021 06:21 greebo Product Version => 2.13.0
17.09.2021 06:21 greebo Target Version => 2.14.0
17.09.2021 06:21 greebo Status assigned => resolved
17.09.2021 06:21 greebo Resolution open => fixed
17.09.2021 06:21 greebo Fixed in Version => 2.14.0
30.09.2021 19:35 greebo Changeset attached => DarkRadiant master 53345bfa
01.10.2021 02:59 greebo Changeset attached => DarkRadiant master 834dab9c
30.10.2021 12:03 Dragofer Relationship added related to 0005792